> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justanotheruptime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate usage against limits



## OpenAPI

````yaml /openapi.json post /usage/validate
openapi: 3.0.0
info:
  title: Uptime Monitor API
  description: >-
    API documentation for the Uptime Monitor application. This API allows users
    to create and manage website monitors, perform checks, and view statistics.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.justanotheruptime.com
security: []
tags:
  - name: auth
    description: Authentication endpoints
  - name: projects
    description: Project management endpoints
  - name: monitors
    description: Monitor management endpoints
  - name: checks
    description: Check-related endpoints
  - name: statistics
    description: Monitor statistics endpoints
paths:
  /usage/validate:
    post:
      tags:
        - Usage
      summary: Validate usage against limits
      operationId: UsageController_validateUsage
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateUsageDto'
      responses:
        '200':
          description: Usage validation result
          content:
            application/json:
              schema:
                properties:
                  isValid:
                    type: boolean
                  message:
                    type: string
        '400':
          description: Invalid request or usage limit exceeded
        '404':
          description: User not found
        '500':
          description: Internal server error
      security:
        - bearer: []
components:
  schemas:
    ValidateUsageDto:
      type: object
      properties:
        type:
          type: string
          enum:
            - monitor
            - status_page
            - team_member
            - project
            - notification_channel
            - api_call
            - storage
          example: monitor
          description: Type of resource being validated
        action:
          type: string
          enum:
            - create
            - update
            - delete
          example: create
          description: Action being performed
        context:
          type: string
          example: project-123
          description: Optional context for the validation
      required:
        - type
        - action
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````